Description

Il serait intessant de pouvoir interragir avec la liste de contact du telephone. Si quelqu'un peut developper un petit proof of concept
on va dire juste histoire de comprendre comment ca marche. Ce qu'il faut pouvoir faire principalement c'est :

e Ajouter un contact

e Supprimer un contact

¢ Associer une Jabber ID avec un contact

¢ Eventuellement rajouter d'autre informations sur le contact

Interesting links :

Content providers
Classe Contacts

History

#1 - 03/26/2009 10:38 PM - Frédéric Barthéléry

Apparemment dans I'application contact il existe un champ jabber :)

Donc il nous faut juste pouvoir agir avec le repertoire utiliser le champ jabber.

Ca serait bien de pouvoir synchroniser la liste sur le serveur avec celle du telephone. Ainsi lors de la connexion au serveur, on ajoute les contacts du
telephone possedant une adresse jabber, et on ajoute les contacts jabber sur le telephone.

Il est peut etre possible d'afficher egalement dans la liste de contacts d'origine une icone pour indiquer le status.

#2 - 03/26/2009 10:57 PM - Frédéric Barthéléry
- Category changed from XMPP to User Interface

- Assignee set to Jean-Manuel Da Silva

Tache assigne a manu :)
Chose a faire :

e voir comment faire pour lancer beem quand on clique sur le champ jabber d'un contact
e et pour aller plus loin stocker des infos supplementaires sur le contact. Ces informations serait recuperer dans une vcard (ou autre, voir les xep)
par jabber.

#3 - 03/28/2009 06:01 AM - Jean-Manuel Da Silva

Bon comme nous le savons, Jabber stocke I'ensemble des informations concernant nos contacts.
Cependant, cela demande des appels au serveur pour tout ce qui est mise a jour.

Afin de proposer une application robuste et qui n'empiete pas non plus sur la liste de contacts du téléphone voici ma proposition :

- Creation d'un content provider gérant les informations des contacts qui sont stockés sur Jabber. Cela permettra par exemple d'accéder a toutes ces
informations méme si il n'y a pas de connexion Jabber. Je trouve ¢a plutét interessant de laisser le choix a l'utilisateur en plus de synchroniser ces
infos avec son téléphone ou juste de les garder dans I'application.

- Ce ContentProvider permettra a d'autres applications si elles le souhaitent d'acceder aux infos de BEEM

- La synchro avec la liste de contact sera possible en mode offline et en mode onlune, vu que Jabber sera uniquement synchro avec notre
ContentProvider.

Je suis ouvert a toutes propositions, et je commence a dev dans ce sens la.
Comme je le dis si souvent,
Wet kisses.

#4 - 03/28/2009 09:06 AM - Jean-Manuel Da Silva
- Category changed from User Interface to XMPP
- % Done changed from 0 to 10
http://developer.android.com/guide/topics/providers/content-providers.html
http://developer.android.com/reference/android/provider/Contacts.html

Hmm au final je viens de finir le ContactProvider. Et je me suis permis de faire dans la foulée un UserProvider.
Sachant que les contacts stockés doivent étre relié a un utilisateur. Et que je trouverais ¢a plutdt cool de ne pas se dire que forcemment celui qui
utilise BEEM sur son téléphone est I'utilisateur du téléphone. Qui a parler d'amis ?

Enfin méme, rien que pour une démo. Si le mec peut pas test avec son compte sur un seul téléphone lors d'un salon, c'est vraiment low.

Je push dés que j'en suis capable. Petit probléme technique :>

#5 - 03/28/2009 06:11 PM - Frédéric Barthéléry

Jean-Manuel Da Silva wrote:

Hmm au final je viens de finir le ContactProvider. Et je me suis permis de faire dans la foulée un UserProvider.
Sachant que les contacts stockés doivent étre relié a un utilisateur. Et que je trouverais ¢a plutdt cool de ne pas se dire que forcemment celui qui
utilise BEEM sur son téléphone est I'utilisateur du téléphone. Qui a parler d'amis ?

Enfin méme, rien que pour une démo. Si le mec peut pas test avec son compte sur un seul téléphone lors d'un salon, c'est vraiment low.

Je push dés que j'en suis capable. Petit probléme technique :>

On avait eu une discussion a ce sujet. Au final, on en etait arrivé a la conclusion inverse.

Justement 'utilisateur principal c'est le proprietaire, c'est donc lui qu'on doit "seduire" donc on prefere tout miser sur une integration avec un seul user
(le proprio) et lui faciliter la vie a lui. Apres ce qu'on pourrait eventuellement faire, c'est permettre la connexion avec un autre utilisateur mais dans ce
cas on utiliserait un mode "allégé". Bref, & court terme, je pense qu'il vaut mieux rester concentré sur I'utilisateur principal donc le proprio.

#6 - 04/07/2009 05:35 PM - Frédéric Barthéléry

- Status changed from New to Assigned

#7 - 05/12/2009 04:14 PM - Nikita Kozlov

- Due date set to 05/18/2009

- Status changed from Assigned to Feedback

- Target version changed from Prototype before 1.5 - SFR_Version to Prototype Technical assessement

- Estimated time set to 40.00 h

Faut ce decider sur ce ticket.
On fait, on fait pas.

#8 - 05/12/2009 04:18 PM - Nikita Kozlov

- Priority changed from Normal to Immediate

#9 - 05/18/2009 01:45 AM - Jean-Manuel Da Silva
- Due date deleted (05/18/2009)

- Assignee deleted (Jean-Manuel Da Silva)

- Priority changed from Immediate to Low

- Target version changed from Prototype Technical assessement to 0.1

Changement du status de la tache qui pour le moment me semble complétement inutile en vue de la soutenance de fin de Tek4. Je suis ouvert a la
discussion lors de la prochaine réunion afin de statuer sur la priorité de la tache.

#10 - 11/19/2009 04:25 PM - Vincent Véronis
- Target version deleted (0.1)

#11 - 12/28/2009 07:49 PM - Nikita Kozlov

- Target version set to 0.2
